Index: /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh
===================================================================
--- /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13178)
+++ /issm/trunk-jpl/externalpackages/scipy/install-linux64.sh	(revision 13179)
@@ -1,11 +1,6 @@
 #!/bin/bash
+set -eu
 PYVERSION=2.7
 PYTHON=python${PYVERSION}
-
-#1: install numpy
-#2 install scipy
-#3 erase
-install=2
-
 
 export CC="gcc -fPIC"
@@ -15,43 +10,33 @@
 export FFLAGS=-ff2c
 
+#clean up
+rm -rf numpy scipy
 
-if [[ $install == "1" ]];then 
+#download numpy first
+export GIT_SSL_NO_VERIFY=true 
+git clone https://github.com/numpy/numpy.git
 
-	#download numpy first
+#install numpy
+cd numpy
+python setup.py build
+python setup.py install
+cd ..
+${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
+${PYTHON} -c "import numpy; numpy.test()"
 
-	export GIT_SSL_NO_VERIFY=true 
-	git clone https://github.com/numpy/numpy.git
+#download scipy
+export GIT_SSL_NO_VERIFY=true 
+git clone https://github.com/scipy/scipy.git
 
-	#install numpy
-	cd numpy
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import numpy; print 'Installed NumPy', numpy.__version__"
-	${PYTHON} -c "import numpy; numpy.test()"
+#install scipy
+cd scipy
+export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
+export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
+export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
+export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
 
-	
-elif [[ $install == "2" ]];then 
-	
-	#download scipy
-	export GIT_SSL_NO_VERIFY=true 
-	git clone https://github.com/scipy/scipy.git
-
-	#install scipy
-	cd scipy
-	export  BLAS_SRC=$ISSM_DIR/externalpackages/blas/install/lib
-	export  BLAS=$ISSM_DIR/externalpackages/blas/install/lib
-	export  LAPACK_SRC=$ISSM_DIR/externalpackages/lapack/install/lib
-	export  LAPACK=$ISSM_DIR/externalpackages/lapack/install/lib
-
-	python setup.py build
-	python setup.py install
-	cd ..
-	${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
-	${PYTHON} -c "import scipy; scipy.test()"
-
-elif [[ $install == "3" ]];then 
-	rm -rf numpy scipy
-else 
-	echo "Choice not covered"
-fi
+python setup.py build
+python setup.py install
+cd ..
+${PYTHON} -c "import scipy; print 'Installed SciPy', scipy.__version__"
+##${PYTHON} -c "import scipy; scipy.test()"
